package com.iamberry.wechat.core.entity.machineNumber;

import com.iamberry.wechat.core.entity.PageBean;

import java.io.Serializable;
import java.util.Date;

/**
 * 质保卡实体类
 * Created by liuzhiwei on 2017/9/12.
 */
public class WarrantyCard implements Serializable {

    private static final long serialVersionUID = -1282484163952785913L;
    private Integer cardId;     //id

    private String cardBarcode; //质保卡条形码

    private String cardName;    //质保卡名称

    private Date cardSaleTime;  //购买时间

    private Date cardRenewTime; //换新截止时间

    private Date cardEndTime;   //质保截止时间

    private String cardTel;     //手机号码

    private String cardDes;     //备注

    private String userName;    //姓名

    private String userEmail;   //邮箱

    private Integer cardWatero; //水质范围

    private String cardProvince;//省

    private String cardCity;    //市

    private String cardLocation;    //地址

    private String cardDistrict;//区

    private PageBean page;      //分页信息

    public String getCardLocation() {
        return cardLocation;
    }

    public void setCardLocation(String cardLocation) {
        this.cardLocation = cardLocation;
    }

    public Integer getCardWatero() {
        return cardWatero;
    }

    public void setCardWatero(Integer cardWatero) {
        this.cardWatero = cardWatero;
    }

    public String getCardProvince() {
        return cardProvince;
    }

    public void setCardProvince(String cardProvince) {
        this.cardProvince = cardProvince;
    }

    public String getCardCity() {
        return cardCity;
    }

    public void setCardCity(String cardCity) {
        this.cardCity = cardCity;
    }

    public String getCardDistrict() {
        return cardDistrict;
    }

    public void setCardDistrict(String cardDistrict) {
        this.cardDistrict = cardDistrict;
    }

    public PageBean getPage() {
        return page;
    }

    public void setPage(PageBean page) {
        this.page = page;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserEmail() {
        return userEmail;
    }

    public void setUserEmail(String userEmail) {
        this.userEmail = userEmail;
    }

    public String getCardBarcode() {
        return cardBarcode;
    }

    public void setCardBarcode(String cardBarcode) {
        this.cardBarcode = cardBarcode;
    }

    public Integer getCardId() {
        return cardId;
    }

    public void setCardId(Integer cardId) {
        this.cardId = cardId;
    }

    public String getCardName() {
        return cardName;
    }

    public void setCardName(String cardName) {
        this.cardName = cardName;
    }

    public Date getCardSaleTime() {
        return cardSaleTime;
    }

    public void setCardSaleTime(Date cardSaleTime) {
        this.cardSaleTime = cardSaleTime;
    }

    public Date getCardRenewTime() {
        return cardRenewTime;
    }

    public void setCardRenewTime(Date cardRenewTime) {
        this.cardRenewTime = cardRenewTime;
    }

    public Date getCardEndTime() {
        return cardEndTime;
    }

    public void setCardEndTime(Date cardEndTime) {
        this.cardEndTime = cardEndTime;
    }

    public String getCardTel() {
        return cardTel;
    }

    public void setCardTel(String cardTel) {
        this.cardTel = cardTel;
    }

    public String getCardDes() {
        return cardDes;
    }

    public void setCardDes(String cardDes) {
        this.cardDes = cardDes;
    }
}
